Bug 1420824 - WebUI - Web Console button is enabled for archived vm's
Summary: WebUI - Web Console button is enabled for archived vm's
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Brian McLaughlin
QA Contact: Kedar Kulkarni
URL:
Whiteboard: vm:console
Depends On:
Blocks: 1436232
TreeView+ depends on / blocked
 
Reported: 2017-02-09 15:11 UTC by Ramesh A
Modified: 2017-05-31 14:34 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1436232 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:34:08 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Web Console (191.38 KB, image/png)
2017-02-09 15:11 UTC, Ramesh A
no flags Details
Error message after clicking on the web console link (177.61 KB, image/png)
2017-02-09 15:11 UTC, Ramesh A
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Ramesh A 2017-02-09 15:11:18 UTC
Created attachment 1248834 [details]
Web Console

Description of problem:
Web Console button is enabled for archived vm's

Version-Release number of selected component (if applicable):
5.7.1.0.20170124142149_8a5f4d5 

How reproducible:
100%

Steps to Reproduce:
1. Open a virtual machine which has been archived
2. In the vm details page click on Access button


Actual results:
Web Console link is enabled.  Click on it performs the cockpit operation.  Refer the screenshot for further details

Expected results:
Web Console link should be displayed

Additional info:

Comment 2 Ramesh A 2017-02-09 15:11:55 UTC
Created attachment 1248835 [details]
Error message after clicking on the web console link

Comment 5 CFME Bot 2017-03-24 15:38:21 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/82db8fe0f0856fc637944abcd24f40659e462958

commit 82db8fe0f0856fc637944abcd24f40659e462958
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Wed Mar 15 14:43:50 2017 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Wed Mar 22 14:07:16 2017 -0400

    Disable Cockpit console button unless VM power state is 'on'
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1420824

 .../application_helper/button/cockpit_console.rb      | 16 ++++++++++++++++
 .../toolbar/container_node_center.rb                  |  4 +++-
 app/helpers/application_helper/toolbar/x_vm_center.rb |  4 +++-
 .../buttons/cockpit_console_spec.rb                   | 19 +++++++++++++++++++
 4 files changed, 41 insertions(+), 2 deletions(-)
 create mode 100644 app/helpers/application_helper/button/cockpit_console.rb
 create mode 100644 spec/helpers/application_helper/buttons/cockpit_console_spec.rb

Comment 7 Kedar Kulkarni 2017-04-27 15:09:48 UTC
Environment: 
cfme version downstream 58z

Actions Performed: 
- Added RHV and vSphere providers to CFME
- Navigated to archived VMs section
- Checked web console button under details for 3 from vSphere and 1 RHV VM(s)

Result: 
Web Console button was disabled

Comment 9 errata-xmlrpc 2017-05-31 14:34:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.